#!/bin/sh

echo 'name: ports
version: 0.4.3.2
license: LGPL
copyright:
maintainer: dons@cse.unsw.edu.au
stability:
homepage: http://www.cse.unsw.edu.au/~chak/haskell/ports/
package-url:
description: The Haskell Ports Library (HPL) supports /concurrent/ and /distributed Haskell/
             programming in the IO monad _without_ relying on mutable variables.
             Instead, it supplies monotone single-assignment variable and ports
             abstractions.
category: Control
author: Manuel M T Chakravarty
exposed: True
exposed-modules: Control.Concurrent.HPL
                 Control.Concurrent.PortThreads Control.Concurrent.Ports
                 Control.Concurrent.Processes Control.Concurrent.SVars
                 Control.Concurrent.ThreadUtils Control.Concurrent.PortsConfig
                 Control.Concurrent.PortsVersion
hidden-modules:
import-dirs: /usr/local/lib/ghc-6.6.1/cabal
library-dirs: /usr/local/lib/ghc-6.6.1/cabal
hs-libraries: HSports-0.4.3.2
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/lib/ghc-6.6.1/cabal/include
includes:
depends: base-2.1.1 haskell98-1.0 unix-2.1
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/html/ports.haddock
haddock-html: /usr/local/share/doc/html' | /usr/local/bin/ghc-pkg update -
